Bug 830164 - [abrt] gnome-online-accounts-3.4.2-1.fc17: strcmp: Process /usr/libexec/goa-daemon was killed by signal 11 (SIGSEGV)
[abrt] gnome-online-accounts-3.4.2-1.fc17: strcmp: Process /usr/libexec/goa-d...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-online-accounts (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:9e0a98bd397f224d772ba7fe32a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 08:36 EDT by Erwan Legrand
Modified: 2013-07-31 16:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (8.21 KB, text/plain)
2012-06-08 08:36 EDT, Erwan Legrand
no flags Details
File: maps (39.34 KB, text/plain)
2012-06-08 08:36 EDT, Erwan Legrand
no flags Details
File: backtrace (71.83 KB, text/plain)
2012-06-08 08:36 EDT, Erwan Legrand
no flags Details

  None (edit)
Description Erwan Legrand 2012-06-08 08:36:02 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/goa-daemon
comment:        GOA failed to connect to my Google account. So I tried to delete it and add it again. Now goa-daemon won't start.
core_backtrace: 
crash_function: strcmp
executable:     /usr/libexec/goa-daemon
kernel:         3.4.0-1.fc17.x86_64
pid:            28729
pwd:            /home/erwan
time:           Fri 08 Jun 2012 02:19:58 PM CEST
uid:            1000
username:       erwan

backtrace:      Text file, 73558 bytes
dso_list:       Text file, 8404 bytes
maps:           Text file, 40280 bytes

build_ids:
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:c9a23331920f772e1b549a328e803879d98b3437
:7526b18a7f20d70c1262bbd00d0269eeb5c379a7
:f64b7319b84d426ed547084bdb2577f4f596c18f
:8f7c190397d7c1f617e66f18f759714662b60367
:67792c148d2b8f13f6732c9367e926c26d7376c5
:116ae11be891bcddc048fddee29239248ed5d47e
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:822e9b3523e8312240f41a25722d539bc77ed436
:d804f8ee47797da9213a92f00cd095ecada8d79f
:8139bf56878106b2e87b44b235b5813a0894898a
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7d982b85513a02a6823da80f27b7a8e9c92e91a8
:08656eb4f816baab3100e93a25dbab7cdd03262c
:4b044fe80e4c1b69986abc4b160c303048005d4e
:130699b76d99d57ef46beeed9d693005f3c8917f
:d0d8ca3578df902204c6a0a28044abe1f8d1ab69
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:b6d75088f555d197be1476cb1c580640826ae029
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:710b0d8cc36603d66327090defd37c99daa38f28
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:0aba7ec92cfe9227831c913e3ea7ccdc85c701e1
:f23f8759450275e5e7c4881c8d6dcdec0554a0ce
:253afe744466fe7580bbb6040de6183dba9e2b02
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:99c23b21038c62b0628b93610fb54c5900c40ffd
:a48a153ef63aaf23e1349196f0ca185bcf42397e
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:c22f6dbb56084ab59991abf9cb2f6eccb14ec823
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:113d32f002d1119cd3b6a249c1c5b76e86b7a770
:877685c5afa0faf0e43ad65f21587f699edcc04d
:e0c652fdd17615b7d06fe220299350fd2e6b091f
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:47d255b3efe10ffa1b295b5fed7836b041c22968
:fc13956ed359736e6a145d384f112723fd62f20d
:72c9d0e973ad7f3b20f3883a199878da7f52c39f
:faca16f15d87b83d2947a386e319b02f724dcbb5
:b34676a7754197b3aa0ab7fba51844207d644e8d
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:31243d0d107bba586a96433c76c87a26db1e826c
:a6a0a700385259f7ea2c4650dcf23e8367a8ef67
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:404cbecd24d186758ed474b345313da28b2990fa
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:1a0c09f270adf8398df4362ce0acfafc1f970982
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:7c35310fc506498c612d5d982ab03becc4b4817c
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:0b827876b9a922d743dea694bf53598ffd32a288
:d29489f5262f513cfe15d381fff29a18dc759deb
:762e5f92dd2eeb54e44743ea6120ce01522489a0
:1d4df97fa6024b097b634a272447243c95c26d85
:344356c1a518d582f1ce93cd5fbebd16b15306f1
:247132297f287226a24c12e683292f5c94013066
:8b33feb27b2125997520fdd21c90c42a65e438f1
:54a5cc118d928470da13565de8592b664a9868e0
:078128405a5e4cda075caad88799bd47d218fcc8
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:2cce348c8e5f183d9591ecc1038f7430733d61a0
:301bb855a0952a10241e6d7190773fdabf23e383
:b277af36744327e3d58eae76bcdaadcca71a28c6
:376a722490c6b5e5abd5f87bb1f050ae0b090c9e
:e91010b497ec024178c36f4365b21f668bada0ca
:af1cc02686634d74ebb0e9f1ec9e45685e084c48
:5e2aa1c7d97cfbc9ae94ec85a2ea6738ce61cba0
:127f8958b602715234a02b88adb08afd9e34c203
:508cf66f72e70054a41215f80ed2385c6bb80030
:516204cfc31148538d56b21e2f1b945ed50127d4
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:a553a7e9625a224a8f39286909adc17787ad51bd
:73777e822e00ca152ffca281ab0ace0cb498ec48
:8875c445a3903173d553f87ffbabcdef8b55386e
:4d09d82785dab5f95c01b69bc0785145a5954d30
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:ff82536dd8dcacc6d99109aba98f6c1cdefe701f
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:432673620d62333d4fd707b7bed13abe192f8b35
:5dd234206476b0387cd251598aa72a2c95c763c5
:22d9dd6828918fd05288d44cfa9f6481d77f55bf
:9303b51b9254f2b7d1db7a4fc059cd3dcf7c4201
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/erwan/5

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=5
:HOSTNAME=erwan-desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=26559
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/erwan/keyring-qT0JmW/gpg:0:1
:TERM=rxvt-unicode
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=cf1a7b86b561baf4bb2f99ae0000000b-1339142675.895631-1011619717
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=33554463
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/erwan/keyring-qT0JmW
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=erwan
:HISTFILESIZE=10000
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/erwan/keyring-qT0JmW/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2174,unix/unix:/tmp/.ICE-unix/2174
:USERNAME=erwan
:GIO_LAUNCHED_DESKTOP_FILE=/home/erwan/.local/share/applications/urxvtc.desktop
:DESKTOP_SESSION=gnome
:PATH=/home/erwan/bin:/home/erwan/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/erwan/go/bin
:MAIL=/var/spool/mail/erwan
:QT_IM_MODULE=xim
:PWD=/home/erwan
:XMODIFIERS=@im=none
:EDITOR=vi
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=2172
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:COLORFGBG=7;default;0
:SHLVL=2
:HOME=/home/erwan
:XDG_SEAT=seat0
:GOROOT=/home/erwan/go
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=erwan
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-QV4soX8D4f,guid=5919dd1ef36817ad1f5d0d290000011e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/erwan
:COLORTERM=rxvt-xpm
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-erwan-wNSZ45/database
:_=/usr/libexec/goa-daemon

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        unlimited            unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 47518                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       47518                47518                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0
:1:/dev/pts/0
:2:/dev/pts/0
:3:socket:[118956]
:4:anon_inode:[eventfd]
:5:anon_inode:[signalfd]
:6:socket:[118957]
:7:anon_inode:[eventfd]
:8:socket:[118961]
:9:anon_inode:[eventfd]
:10:anon_inode:inotify
Comment 1 Erwan Legrand 2012-06-08 08:36:07 EDT
Created attachment 590419 [details]
File: dso_list
Comment 2 Erwan Legrand 2012-06-08 08:36:11 EDT
Created attachment 590420 [details]
File: maps
Comment 3 Erwan Legrand 2012-06-08 08:36:14 EDT
Created attachment 590421 [details]
File: backtrace
Comment 4 Erwan Legrand 2012-06-08 09:26:47 EDT
For some reason, GOA (or another program) removed the Provider, Identity and PresentationIdentity lines from ~/.config/goa-1.0/accounts.conf. The missing lines resulted in the crash.

So it seems there are two disctinct issues:
 * In some cases, the information writen to ~/.config/goa-1.0/accounts.conf is incomplete
 * Missing lines in ~/.config/goa-1.0/accounts.conf result in a crash
Comment 5 Jeff Bastian 2012-10-08 13:56:28 EDT
I upgraded to gnome-*-3.6.0-1.fc18 and rebooted and gnome-online-accounts crashed immediately upon login.  I do not have any online accounts configured.

backtrace_rating: 4
Package: gnome-online-accounts-3.6.0-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 6 countygrove 2013-01-28 10:54:44 EST
gnome-online-accounts just crashes at gnome session start. I am also unable to add accounts in the graphical controll-center.

backtrace_rating: 4
Package: gnome-online-accounts-3.6.2-2.fc18
Architecture: i686
OS Release: Fedora release 18 (Spherical Cow)
Comment 7 Fedora End Of Life 2013-07-03 16:34:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 16:41:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.